> For the complete documentation index, see [llms.txt](https://docs.usemoon.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.usemoon.ai/sdks/golang/transactioninputsupportedparamstheme.md).

# TransactionInputSupportedParamsTheme

## Properties

| Name                   | Type                | Description | Notes |
| ---------------------- | ------------------- | ----------- | ----- |
| **BorderRadius**       | **NullableFloat64** |             |       |
| **CardColor**          | **string**          |             |       |
| **SecondaryTextColor** | **string**          |             |       |
| **PrimaryTextColor**   | **string**          |             |       |
| **SecondaryColor**     | **string**          |             |       |
| **PrimaryColor**       | **string**          |             |       |
| **ThemeName**          | **string**          |             |       |
| **IsDark**             | **bool**            |             |       |

## Methods

### NewTransactionInputSupportedParamsTheme

`func NewTransactionInputSupportedParamsTheme(borderRadius NullableFloat64, cardColor string, secondaryTextColor string, primaryTextColor string, secondaryColor string, primaryColor string, themeName string, isDark bool, ) *TransactionInputSupportedParamsTheme`

NewTransactionInputSupportedParamsTheme instantiates a new TransactionInputSupportedParamsTheme object This constructor will assign default values to properties that have it defined, and makes sure properties required by API are set, but the set of arguments will change when the set of required properties is changed

### NewTransactionInputSupportedParamsThemeWithDefaults

`func NewTransactionInputSupportedParamsThemeWithDefaults() *TransactionInputSupportedParamsTheme`

NewTransactionInputSupportedParamsThemeWithDefaults instantiates a new TransactionInputSupportedParamsTheme object This constructor will only assign default values to properties that have it defined, but it doesn't guarantee that properties required by API are set

### GetBorderRadius

`func (o *TransactionInputSupportedParamsTheme) GetBorderRadius() float64`

GetBorderRadius returns the BorderRadius field if non-nil, zero value otherwise.

### GetBorderRadiusOk

`func (o *TransactionInputSupportedParamsTheme) GetBorderRadiusOk() (*float64, bool)`

GetBorderRadiusOk returns a tuple with the BorderRadius field if it's non-nil, zero value otherwise and a boolean to check if the value has been set.

### SetBorderRadius

`func (o *TransactionInputSupportedParamsTheme) SetBorderRadius(v float64)`

SetBorderRadius sets BorderRadius field to given value.

### SetBorderRadiusNil

`func (o *TransactionInputSupportedParamsTheme) SetBorderRadiusNil(b bool)`

SetBorderRadiusNil sets the value for BorderRadius to be an explicit nil

### UnsetBorderRadius

`func (o *TransactionInputSupportedParamsTheme) UnsetBorderRadius()`

UnsetBorderRadius ensures that no value is present for BorderRadius, not even an explicit nil

### GetCardColor

`func (o *TransactionInputSupportedParamsTheme) GetCardColor() string`

GetCardColor returns the CardColor field if non-nil, zero value otherwise.

### GetCardColorOk

`func (o *TransactionInputSupportedParamsTheme) GetCardColorOk() (*string, bool)`

GetCardColorOk returns a tuple with the CardColor field if it's non-nil, zero value otherwise and a boolean to check if the value has been set.

### SetCardColor

`func (o *TransactionInputSupportedParamsTheme) SetCardColor(v string)`

SetCardColor sets CardColor field to given value.

### GetSecondaryTextColor

`func (o *TransactionInputSupportedParamsTheme) GetSecondaryTextColor() string`

GetSecondaryTextColor returns the SecondaryTextColor field if non-nil, zero value otherwise.

### GetSecondaryTextColorOk

`func (o *TransactionInputSupportedParamsTheme) GetSecondaryTextColorOk() (*string, bool)`

GetSecondaryTextColorOk returns a tuple with the SecondaryTextColor field if it's non-nil, zero value otherwise and a boolean to check if the value has been set.

### SetSecondaryTextColor

`func (o *TransactionInputSupportedParamsTheme) SetSecondaryTextColor(v string)`

SetSecondaryTextColor sets SecondaryTextColor field to given value.

### GetPrimaryTextColor

`func (o *TransactionInputSupportedParamsTheme) GetPrimaryTextColor() string`

GetPrimaryTextColor returns the PrimaryTextColor field if non-nil, zero value otherwise.

### GetPrimaryTextColorOk

`func (o *TransactionInputSupportedParamsTheme) GetPrimaryTextColorOk() (*string, bool)`

GetPrimaryTextColorOk returns a tuple with the PrimaryTextColor field if it's non-nil, zero value otherwise and a boolean to check if the value has been set.

### SetPrimaryTextColor

`func (o *TransactionInputSupportedParamsTheme) SetPrimaryTextColor(v string)`

SetPrimaryTextColor sets PrimaryTextColor field to given value.

### GetSecondaryColor

`func (o *TransactionInputSupportedParamsTheme) GetSecondaryColor() string`

GetSecondaryColor returns the SecondaryColor field if non-nil, zero value otherwise.

### GetSecondaryColorOk

`func (o *TransactionInputSupportedParamsTheme) GetSecondaryColorOk() (*string, bool)`

GetSecondaryColorOk returns a tuple with the SecondaryColor field if it's non-nil, zero value otherwise and a boolean to check if the value has been set.

### SetSecondaryColor

`func (o *TransactionInputSupportedParamsTheme) SetSecondaryColor(v string)`

SetSecondaryColor sets SecondaryColor field to given value.

### GetPrimaryColor

`func (o *TransactionInputSupportedParamsTheme) GetPrimaryColor() string`

GetPrimaryColor returns the PrimaryColor field if non-nil, zero value otherwise.

### GetPrimaryColorOk

`func (o *TransactionInputSupportedParamsTheme) GetPrimaryColorOk() (*string, bool)`

GetPrimaryColorOk returns a tuple with the PrimaryColor field if it's non-nil, zero value otherwise and a boolean to check if the value has been set.

### SetPrimaryColor

`func (o *TransactionInputSupportedParamsTheme) SetPrimaryColor(v string)`

SetPrimaryColor sets PrimaryColor field to given value.

### GetThemeName

`func (o *TransactionInputSupportedParamsTheme) GetThemeName() string`

GetThemeName returns the ThemeName field if non-nil, zero value otherwise.

### GetThemeNameOk

`func (o *TransactionInputSupportedParamsTheme) GetThemeNameOk() (*string, bool)`

GetThemeNameOk returns a tuple with the ThemeName field if it's non-nil, zero value otherwise and a boolean to check if the value has been set.

### SetThemeName

`func (o *TransactionInputSupportedParamsTheme) SetThemeName(v string)`

SetThemeName sets ThemeName field to given value.

### GetIsDark

`func (o *TransactionInputSupportedParamsTheme) GetIsDark() bool`

GetIsDark returns the IsDark field if non-nil, zero value otherwise.

### GetIsDarkOk

`func (o *TransactionInputSupportedParamsTheme) GetIsDarkOk() (*bool, bool)`

GetIsDarkOk returns a tuple with the IsDark field if it's non-nil, zero value otherwise and a boolean to check if the value has been set.

### SetIsDark

`func (o *TransactionInputSupportedParamsTheme) SetIsDark(v bool)`

SetIsDark sets IsDark field to given value.

\[Back to Model list] \[Back to API list] \[Back to README]


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usemoon.ai/sdks/golang/transactioninputsupportedparamstheme.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
